/*  This file is part of LingoTeach, the Language Teaching program 
 *  Copyright (C) 2001-2003 The LingoTeach Team
 *
 *  This program is free software; you can redistribute it and/or modify 
 *  it under the terms of the GNU General Public License as published by 
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version.  
 *
 *  This program is distributed in the hope that it will be useful, 
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *  GNU General Public License for more details.  
 *
 *  You should have received a copy of the GNU General Public License 
 *  along with this program; if not, write to the Free Software 
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 */

#ifndef __DATA_CONF_H__
#define __DATA_CONF_H__


/* we are using them more often, so let's define them */
#define CONF_FILE "config.xml"
#define USER_FILE "userdata.xml"
#define TEMP_FILE "temp.xml"

/* checks for user-configs */
void 
_data_conf_get_user_config ();

/* initial creation of user stuff */
void 
_data_conf_make_user_config (char* path);

/**
 * initializes the configs and all other stuff at start
 */
void 
_data_conf_init_user_config ();

/**
 * returns the used language file
 */
char*
_data_conf_return_language_file ();

/**
 * writes already asked meanings into the temporary file,
 * which is also used for the type sorting stuff in some way
 */
void
_data_conf_write_meaning ();

#endif /* __DATA_CONF_H__ */
