/* $Id: meaning.h,v 1.10 2003/03/03 22:05:33 marcusva Exp $ */

/*  This file is part of LingoTeach, the Language Teaching program
 *  Copyright (C) 2001-2003 The LingoTeach Team
 *
 *  This program is free software; you can redistribute it and/or modify 
 *  it under the terms of the GNU General Public License as published by 
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version.  
 *
 *  This program is distributed in the hope that it will be useful, 
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *  GNU General Public License for more details.  
 *
 *  You should have received a copy of the GNU General Public License 
 *  along with this program; if not, write to the Free Software 
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 */

#ifndef __DATA_MEANING_H__
#define __DATA_MEANING_H__

/* for gboolean */
#include <glib/gtypes.h>
#include <libxml/xpath.h>

typedef struct _meaning meaning;
typedef meaning *meaningPtr;

struct _meaning
{
  char* from;          /* What you know ("Food") */
  char* to;            /* To be learned ("Essen") */
  char* fromLanguage;
  char* toLanguage;
  gboolean exists;     /* True if both from and to are longer than 0 */
  int    currId;       /* ID of the Meaning (123) */
};

/**
 * searches the word, which matches int meaning, in the language,
 * which is given as char* language
 */
char*
_data_meaning_find_word (int id, char* language);

/**
 * searches the sound matching the meaningId id and language
 */
char*
_data_meaning_find_sound (int id, char* language);

/**
 * Returns the maximum word id, not the 'real' count of sets.
 * If there are missing numbers within the series, this function
 * only returns the number of the last set. Do not use it for 
 * counting the sets. It will not work.
 */
int
_data_meaning_get_max_word_id (xmlDocPtr lesson);

#endif /* __DATA_MEANING_H__ */
